package DateUsec::Tag;

use Time::HiRes qw( gettimeofday );
use MT::Util qw( offset_time_list );

sub hdlr_sys_date {
    my ( $ctx, $args ) = @_;

    my ($t, $microsec) = gettimeofday();
    my ($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst) = localtime($t);
    my $usec = sprintf( "%06d\n", $microsec );

    unless ( $args->{ts} ) {
        my ( $t, $microsec ) = gettimeofday();
        my @ts = offset_time_list( $t, $ctx->stash('blog_id') );
        $args->{ts} = sprintf "%04d%02d%02d%02d%02d%02d",
            $ts[5] + 1900, $ts[4] + 1, @ts[ 3, 2, 1, 0 ];
    }
    if ( $args->{msec} ) {
        $usec =~ s/(\d{3})\d{3}/$1/;
    }
    my $date = $ctx->build_date($args);
    return  $date . $usec;
}

1; 
